Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::Lookup_Error Struct Reference

`#include <exceptn.h>`

Inheritance diagram for Botan::Lookup_Error:

## Public Member Functions
| Lookup_Error (const std::string &err)
| Lookup_Error (const std::string &type, const std::string &algo, const std::string &provider)
const char * | what () const BOTAN_NOEXCEPT override

## Detailed Description

Lookup_Error Exception

Definition at line 71 of file exceptn.h.

## Constructor & Destructor Documentation

Botan::Lookup_Error::Lookup_Error | ( | const std::string & | err | ) |
| inline explicit

Definition at line 73 of file exceptn.h.

73 :
74 Exception(err)
75 {}
Botan::Exception::Exception
Exception(const std::string &msg)
Definition: exceptn.h:24

Botan::Lookup_Error::Lookup_Error | ( | const std::string & | type,
|  | const std::string & | algo,
|  | const std::string & | provider
| ) |  |
| inline

Definition at line 77 of file exceptn.h.

79 :
80 Exception("Unavailable " + type + " " + algo +
81 (provider.empty() ? std::string("") : (" for provider " + provider)))
82 {}
Botan::Exception::Exception
Exception(const std::string &msg)
Definition: exceptn.h:24
type
MechanismType type
Definition: p11_mechanism.cpp:43

## Member Function Documentation

const char* Botan::Exception::what | ( |  | ) | const
| inline override inherited

Definition at line 26 of file exceptn.h.

Referenced by botan_cipher_update(), Botan::RSA_PrivateKey::create_decryption_op(), Botan::RSA_PublicKey::create_encryption_op(), Botan::X509_Object::do_decode(), and Botan::X509::load_key().

26 { return m_msg.c_str(); }

The documentation for this struct was generated from the following file:

- src/lib/utils/exceptn.h